function drawPane(scrWidth, scrHeight, colors, labels)
	local boxWidth = scrWidth * 3 / 5
	local boxHeight = scrHeight / 12
	local translateH = scrHeight*0.16

	-- initialize screen
	UiColor(0,0,0)
	UiRect(scrWidth, scrHeight)

	UiPush()
		UiTranslate(scrWidth/5, scrHeight/5 + scrHeight/10)
		for i=1, #colors do
			UiColor(colors[i][1], colors[i][2], colors[i][3])
			UiImageBox("ui/common/box-solid-10.png", boxWidth, boxHeight, 10, 10)
			UiPush()
				UiColor(0, 0, 0)
				UiTranslate(boxWidth/2, boxHeight/2)
				UiAlign('center middle')
				UiFont("bold.ttf",30)
				UiText(labels[i],30)
			UiPop()
			UiTranslate(0, translateH)
		end
	UiPop()
end