function draw()
	local vehicle = GetPlayerVehicle()
	if HasTag(vehicle, "nado") then
		local info = {}
        info[#info+1] = {"Tornado", "Spin Control"}
        info[#info+1] = {"LMB", "Rotate Left"}
		info[#info+1] = {"RMB", "Rotate Right"}
		info[#info+1] = {"Press Again", "Change Speed"}
		info[#info+1] = {"M", "Stop Music"}
		UiPush()
			UiAlign("top left")
			local w = 200
			local h = #info*22 + 30
			UiTranslate(20, UiHeight()-h-20)
			UiColor(0,0,0,0.5)
			UiImageBox("common/box-solid-6.png", 300, h, 6, 6)
			UiTranslate(150, 32)
			UiColor(1,1,1)
			for i=1, #info do
				local key = info[i][1]
				local func = info[i][2]
				UiFont("bold.ttf", 22)
				UiAlign("right")
				UiText(key)
				UiTranslate(10, 0)
				UiFont("regular.ttf", 22)
				UiAlign("left")
				UiText(func)
				UiTranslate(-10, 22)
			end
		UiPop()
	end
end