#include "../custom_music/playlist.lua"
#include "kitt_constants.lua"
-- #include "MOD/custom_music/playlist.lua"
-- KITT_MUSIC_LIST_DIRECTORY = "music/" -- not needed

KITT_MUSIC_LIST = {
	{"Teardown Theme", "menu.ogg"};
	{"Mall - Intro", "mall-intro.ogg"};
	{"Lee Chemicals", "lee.ogg"};
	{"Lee Chemicals - Calm", "lee-noheist.ogg"};
	{"Lee Chemicals - Flooding", "lee-flooding.ogg"};
	{"Westpoint Marina", "marina.ogg"};
	{"Westpoint Marina - Calm", "marina-noheist.ogg"};
	{"Westpoint Marina - Thunderstorm", "marina-thunder.ogg"};
	{"Villa Gordon", "mansion.ogg"};
	{"Villa Gordon - Calm", "mansion-noheist.ogg"};
	{"Hollowrock Island", "caveisland.ogg"};
	{"Hollowrock Island - Calm", "caveisland-noheist.ogg"};
	{"Frustrum Village - Chase", "frustrum-chase.ogg"};
	{"Heist", "heist.ogg"};
	{"Credits", "about.ogg"};
	{"Win", "win.ogg"};
	{"Fail", "fail.ogg"};
}

for i=1, #KITT_MUSIC_LIST_EXTERNAL do
	local filename = "MOD/kitt/custom_music/" .. KITT_MUSIC_LIST_EXTERNAL[i][2]
	-- DebugPrint(filename)
	local temp = {KITT_MUSIC_LIST_EXTERNAL[i][1], filename}
	table.insert(KITT_MUSIC_LIST, temp)
end

-- Handle opening custom music folder
table.insert(KITT_MUSIC_LIST, {"<Open Custom Music Folder>", KITT_PLAYER_ACTIONS_OPEN_CUSTOM_MUSIC_FOLDER})


-- TODO: maybe add support for TDE'd music later
