#include "kitt_constants.lua"

function init()
	t = 0
	kittDotPositions = {{8,64},{16,59},{24,54},{32,49},{40,44},{48,40},{57,37},{66,33},{74,30},{83,27},{92,25},{101,22},{110,21},{119,19},{128,18},{137,17},{146,16};
		{155,15},{164,14},{173,15},{182,16},{191,17},{200,18},{209,20},{218,23},{227,26},{235,30},{243,34},{252,38},{260,43}}
	activeLights = 0
	rpmDirection = 1 -- for tests

	kittInstanceId = 0
	kittInitialized = false
end

function draw()
	t = t + GetTimeStep()
	if not kittInitialized then
		kittInstanceId = GetBodyVehicle(GetShapeBody(GetScreenShape(UiGetScreen())))
		kittInitialized = true
	end
	if GetBool("savegame.mod.debugmode") then
		DebugWatch("kitt_screen_rpm_instance_id", kittInstanceId)
	end
	if t > 0.5 then 
		t = 0
		-- Lights debug
		-- if activeLights > 29 and rpmDirection > 0 then
		-- 	rpmDirection = -1
		-- 	activeLights = activeLights + rpmDirection
		-- elseif activeLights < 1 and rpmDirection < 0 then
		-- 	rpmDirection = 1
		-- 	activeLights = activeLights + rpmDirection
		-- else
		-- 	activeLights = activeLights + rpmDirection
		-- end
	end
	
	


	-- DebugWatch("kittDotPositions", #kittDotPositions)
	kittFakeRPM = math.max(1.0, math.floor((GetInt(KITT_GLOBAL_PREFIX .. kittInstanceId .. KITT_GLOBAL_SPEEDOMETER_VALUE) / 10) * 2.7)) --FIXME: that's so bad I can't even start. Need to figure out a better way
	activeLights = math.max(1, math.floor(kittFakeRPM * #kittDotPositions / 80)) -- seems to work okay?
	UiPush()
		for i=1, #kittDotPositions do
		-- for i=1, 2 do
			if i > activeLights then
				UiColor(0.207843137, 0.015686275, 0.015686275)
			else
				UiColor(1,0,0,1)
			end
			local tempPos = kittDotPositions[i]
			UiPush()
				UiTranslate(tempPos[1], tempPos[2])
				UiImageBox("MOD/kitt/ui/kitt_dash_misc_sprites.png", 9, 8)
			UiPop()
			-- UiImageBox("MOD/kitt/ui/kitt_dash_misc_sprites.png", tempPos[1], tempPos[2], 9, 8)
		end
		UiColor(1, 1, 1)
		UiImage("MOD/kitt/ui/kitt_dash_s1_2_rpm_counter_blank.png")
		-- UiImage("../ui/kitt_dash_s1_2_rpm_counter.png")
	UiPop()

	UiPush()
		-- UiTranslate(60, 72)
		UiTranslate(140, 76)
		UiColor(1,0,0)
		UiFont("MOD/kitt/font/DSEG7Classic-Italic.ttf", 28)
		-- UiText("88")

		speed = kittFakeRPM
		digit1 = speed % 10
		speed = math.floor(speed / 10)
		digit2 = speed % 10
		UiText(digit2 .. " " .. digit1)
	UiPop()
	-- if GetBool(screenActiveString) then
	-- 	UiMakeInteractive()
	-- 	SetBool(screenActiveString, false)
	-- end
	-- if (InputDown("T")) then
	-- 	UiMakeInteractive()
	-- end
end