#include "kitt_constants.lua"
function init()
	t = 0
end

-- add credits of the dashboard reference images creator
-- add credits of the single KITT engine sound used in there from apparently GTA mod?

function draw()
	t = t + GetTimeStep()
	if t > 70 then t = 0 end

	UiColor(.1, 0.08, 0.06)
	UiRect(UiWidth(), UiHeight())

	UiTranslate(UiCenter(), 500-t*40)
	
	UiColor(1,1,1)

	UiAlign("center")

	-- UiFont("bold.ttf", 40)
	UiFont("MOD/kitt/font/DSEG14Classic-Italic.ttf", 38)
	UiText("Knight")
	UiTranslate(0, 48)
	UiText("Industries")
	UiTranslate(0, 48)
	-- UiText("Knight Industries")
	-- UiTranslate(0, 36)
	-- UiText("2000 (KITT)")
	UiText("2000")
	UiTranslate(0, 48)
	UiText("(K.I.T.T.)")
	UiTranslate(0, 38)
	UiFont("MOD/kitt/font/DSEG14Classic-Italic.ttf", 28)
	UiText("v "..KITT_VERSION_MAJOR.." . "..KITT_VERSION_MINOR)
	UiTranslate(0, 24)
	UiTranslate(0, 100)
	
	UiFont("bold.ttf", 36)
	UiText("@RavMahov")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("Programming", true)
	UiText("Voxel design", true)
	UiText("Asset preparation", true)
	UiText("Bit of everything", true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("@Rubikow")
	UiTranslate(0, 30)
	UiText("@Thomasims")
	UiTranslate(0, 30)
	UiText("@My Cresta")
	UiTranslate(0, 30)
	UiText("@elboydo")
	UiTranslate(0, 30)
	UiText("@Masahiro")
	UiTranslate(0, 30)
	UiText("@kszabi")
	UiTranslate(0, 30)
	UiText("@BattleBob72")
	UiTranslate(0, 30)
	UiFont("regular.ttf", 24)
	UiText("General modding help", true)
	UiText("with pretty much everything", true)
	UiText("Feedback and ideas", true)
	UiTranslate(0, 100)
	
	-- Knight Industries Secret Lab members pattern

	-- UiFont("bold.ttf", 36)
	-- UiText("@discord_handle")
	-- UiTranslate(0, 24)
	-- UiFont("regular.ttf", 24)
	-- UiText("added_functionalities", true)
	-- UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("@Reece")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("KITT fan feedback", true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("Teardown Discord")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("Many thanks for", true)
	UiText("feedback and help", true)
	UiText("on almost every step", true)
	UiText("and lots of inspiration", true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("Knight Rider")
	UiTranslate(0, 36)
	UiText("IP owners")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("For creating this", true)
	UiText("memorable series", true)
	UiText("and cool designs", true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("Teardown Staff")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("For creating an awesome", true)
	UiText("game that allowed", true)
	UiText("all of this", true)
	UiTranslate(0, 100)
	
	UiFont("bold.ttf", 36)
	UiText("Misc")
	UiTranslate(0, 24)
	UiFont("regular.ttf", 24)
	UiText("Dashboard reference images", true)
	UiText("by davemetlesits @ DeviantArt", true)
	UiTranslate(0, 40)
	UiText("DSEG font by keshikan", true)
	UiText("(http://www.keshikan.net)", true)
	UiTranslate(0, 40)
	UiText("K.I.T.T. engine loops", true)
	UiText("are owned by...", true)
	UiText("their respective owners :)", true)
	UiText("(found on the Internet)", true)
	UiTranslate(0, 100)
end

